"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.connectDragRef = connectDragRef;
var _vue = require("vue");
function connectDragRef(fn, options1) {
    var scopedOptions = options1;
    var prevWatchStop;
    return function(elementOrNode, options) {
        var callConnect = function callConnect() {
            return fn(elementOrNode, // Because of the special nature of vue, when it calls setRef, it will pass in two parameters. Therefore, when we pass connect as a setRef function, we may receive a non-ideal options. For this reason, we assume that when there are options in the spec, The options passed in by Connect are no longer adopted to ensure that the options of spec always take precedence over the options of connect
            scopedOptions || options);
        };
        if ((0, _vue).isRef(elementOrNode)) {
            if (prevWatchStop) {
                prevWatchStop();
            }
            prevWatchStop = (0, _vue).watch(elementOrNode, callConnect);
        }
        return callConnect();
    };
}
